Bug 354521 - irq 18: nobody cared when sound card installed
irq 18: nobody cared when sound card installed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 13:34 EDT by Tom Horsley
Modified: 2008-01-14 03:42 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 03:42:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2007-10-26 13:34:49 EDT
Description of problem:

I've tried two different cheap sound cards in a box I just installed fedora
7 on and with both of them the sound works for a bit, then I get a message
like this:

Oct 26 09:05:11 tomh kernel: irq 18: nobody cared (try booting with the
"irqpoll" option)
(followed by a backtrace from the soundcard handler).

There may be some sort of problem with the via chipset and soundcards?


Version-Release number of selected component (if applicable):
kernel-2.6.22.9-91.fc7

How reproducible:
Every time a little while after booting when I have a soundcard
installed (tried one from creative and one from diamond).

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:

sound gets screwed up

Expected results:

sound keeps working

Additional info:

Here's some sample /var/log/messages excerpts:

With the creative soundblaster 16 PCI card:

Oct 24 12:14:24 tomh kernel: irq 18: nobody cared (try booting with the
"irqpoll" option)
Oct 24 12:14:24 tomh kernel:  [<c04560d2>] __report_bad_irq+0x36/0x75
Oct 24 12:14:24 tomh kernel:  [<c04562bf>] note_interrupt+0x1ae/0x1eb
Oct 24 12:14:24 tomh kernel:  [<c045581a>] handle_IRQ_event+0x1a/0x3f
Oct 24 12:14:24 tomh kernel:  [<c0456a4b>] handle_fasteoi_irq+0x86/0xa6
Oct 24 12:14:24 tomh kernel:  [<c04569c5>] handle_fasteoi_irq+0x0/0xa6
Oct 24 12:14:24 tomh kernel:  [<c04071f7>] do_IRQ+0xac/0xd1
Oct 24 12:14:24 tomh kernel:  [<c043b159>] hrtimer_start+0xe6/0xf0
Oct 24 12:14:24 tomh kernel:  [<c0403d1c>] default_idle+0x0/0x3e
Oct 24 12:14:24 tomh kernel:  [<c040592b>] common_interrupt+0x23/0x28
Oct 24 12:14:24 tomh kernel:  [<c0403d1c>] default_idle+0x0/0x3e
Oct 24 12:14:24 tomh kernel:  [<c041007b>] cyrix_get_arr+0x7/0x10b
Oct 24 12:14:24 tomh kernel:  [<c0403d48>] default_idle+0x2c/0x3e
Oct 24 12:14:24 tomh kernel:  [<c04033c9>] cpu_idle+0x96/0xb7
Oct 24 12:14:24 tomh kernel:  [<c072ba8e>] start_kernel+0x316/0x31e
Oct 24 12:14:24 tomh kernel:  [<c072b227>] unknown_bootoption+0x0/0x202
Oct 24 12:14:24 tomh kernel:  =======================
Oct 24 12:14:24 tomh kernel: handlers:
Oct 24 12:14:24 tomh kernel: [<e0a45fd0>] (snd_audiopci_interrupt+0x0/0x16a
[snd_ens1371])
Oct 24 12:14:24 tomh kernel: Disabling IRQ #18

And with the diamond card (different driver):

Oct 26 09:05:11 tomh kernel: irq 18: nobody cared (try booting with the
"irqpoll" option)
Oct 26 09:05:11 tomh kernel:  [<c04560d2>] __report_bad_irq+0x36/0x75
Oct 26 09:05:11 tomh kernel:  [<c04562bf>] note_interrupt+0x1ae/0x1eb
Oct 26 09:05:11 tomh kernel:  [<c045581a>] handle_IRQ_event+0x1a/0x3f
Oct 26 09:05:11 tomh kernel:  [<c0456a4b>] handle_fasteoi_irq+0x86/0xa6
Oct 26 09:05:11 tomh kernel:  [<c0407203>] do_IRQ+0xb8/0xd1
Oct 26 09:05:11 tomh kernel:  [<c040592b>] common_interrupt+0x23/0x28
Oct 26 09:05:11 tomh kernel:  [<e08398f8>] uhci_irq+0x2c/0x137 [uhci_hcd]
Oct 26 09:05:11 tomh kernel:  [<c056dd7e>] usb_hcd_irq+0x21/0x4e
Oct 26 09:05:11 tomh kernel:  [<c045581a>] handle_IRQ_event+0x1a/0x3f
Oct 26 09:05:11 tomh kernel:  [<c0456a37>] handle_fasteoi_irq+0x72/0xa6
Oct 26 09:05:11 tomh kernel:  [<c04569c5>] handle_fasteoi_irq+0x0/0xa6
Oct 26 09:05:11 tomh kernel:  [<c04071f7>] do_IRQ+0xac/0xd1
Oct 26 09:05:11 tomh kernel:  [<c042d4cb>] irq_exit+0x53/0x6b
Oct 26 09:05:11 tomh kernel:  [<c041ad1b>] smp_apic_timer_interrupt+0x74/0x80
Oct 26 09:05:11 tomh kernel:  [<c040592b>] common_interrupt+0x23/0x28
Oct 26 09:05:11 tomh kernel:  =======================
Oct 26 09:05:11 tomh kernel: handlers:
Oct 26 09:05:11 tomh kernel: [<e0a5099c>] (vortex_interrupt+0x0/0x446 [snd_au8820])
Oct 26 09:05:11 tomh kernel: Disabling IRQ #18

The motherboard is an old asus cuv4x-dls with the following chipset info
showing up in lspci:

00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x] (rev c4)
00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x AGP]
00:04.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 40)
00:04.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:04.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 16)
00:04.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 16)
00:04.4 Host bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 40)
00:07.0 Ethernet controller: Intel Corporation 82557/8/9 [Ethernet Pro 100] (rev 08)
00:0c.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5500]
(rev a1)

I see similar reports in bug 246056, bug 304431, and bug 310341, but they
don't seem to be explicitly soundcard problems, so I made this new bug
instead of chiming in on one of those.
Comment 1 Tom Horsley 2007-10-26 15:13:23 EDT
Following some of the hints in the bugs mentioned above, I tried the noapic
boot option and (so far anyway) the creative labs soundcard has been working
fine. It shows up in lspci as:

00:09.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 07)
Comment 2 Tom Horsley 2007-11-13 11:41:38 EST
New info: I've updated the same system to run Fedora 8 now, and so far
the errors haven't happened (I am booting with default kernel option,
did not need to add noapic).
Comment 3 Hans de Goede 2008-01-14 03:42:49 EST
Short intro: I'm a Fedora contributer doing some kernel bug triaging.

Closing as this is fixed, AFAIK your system doesn't have a functional ioapic, I
guess that recent kernels have been though to thus not try to use it.

Note You need to log in before you can comment on or make changes to this bug.